#!/bin/bash
# Author Joshua Scotton
#
# To extract strings from glade files do the following
# intltool-extract --type=gettext/glade file.glade
#

find ../entertainerlib/ -name "*.py" > tmp.txt
find ../entertainerlib/ -name "*.glade.h" >> tmp.txt
#remove entertainerlib/utils/EXIF.py as it causes problems
sed tmp.txt -e 's/..\/entertainerlib\/utils\/EXIF.py//' > POTFILE.in
rm tmp.txt
xgettext --language=Python --keyword=_ --keyword=N_ --output=tmp.pot --files-from=POTFILE.in
sed tmp.pot -e 's/charset=CHARSET/charset=UTF-8/' > entertainer.pot
rm tmp.pot
cp entertainer.pot entertainer.po
