'''The Entertainer test suite'''

import os
import tempfile
import unittest


class TestWithDatabase(unittest.TestCase):
    '''Test that requires a database'''

    def init(self):
        '''Set up the basic file I/O requirements.'''
        self.current_dir = os.path.dirname(__file__)
        self.data_dir = self.current_dir + '/data'
        _unused, self.filename = tempfile.mkstemp()
        os.remove(self.filename)
        # XXX: rockstar - Once the new database is set up, we'll want to have
        # this class automatically create the database

